.block-clean {
  background: transparent;
  border: 1px solid var(--outline-variant);
  padding: 26px;
  height: 100%;
  transition: box-shadow 0.3s ease;
  flex-direction: column;
  display: flex;
}

.block-clean:hover {
  box-shadow: 0 20px 40px rgba(0,0,0,0.08);
}

.block-clean img {
  aspect-ratio: 14/9;
  object-fit: cover;
  margin-bottom: 16px;
  width: 100%;
}

.block-clean .tag {
  color: var(--bs-secondary);
  font-weight: 700;
  font-size: 0.75rem;
  text-transform: uppercase;
}

.block-clean .topic {
  color: var(--bs-primary-dark);
  font-weight: 700;
  font-size: 1rem;
  margin-top: 0.5rem!important;
}

.block-clean .date {
  font-size: 0.7rem;
  color: var(--on-surface-variant);
  text-transform: uppercase;
}

.block-clean h4 {
  font-size: 1.5rem;
  line-height: 1.2;
  margin-top: 1rem;
  transition: color 0.2s;
  color: var(--nav-background);
}

.block-clean p {
  font-size: 0.95rem;
  color: gray;
  line-height: 1.5;
  margin-top: 1rem;
}

